> For the complete documentation index, see [llms.txt](https://docs.blixaozric.online/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blixaozric.online/kit-harbor/placeholders.md).

# Placeholders

#### PlaceholderAPI

These are PlaceholderAPI placeholders and can be used in messages, menus, scoreboards, holograms, and other plugins that support PlaceholderAPI.

**General**

|              Placeholder             |               Returns              |     Example    |
| :----------------------------------: | :--------------------------------: | :------------: |
|        `%kitharbor_username%`        |        A player's username.        |    `Serenq`    |
|   `%kitharbor_kit_cooldown_<name>%`  |    Remaining cooldown for a kit.   |    `1h 30m`    |
|  `%kitharbor_kit_available_<name>%`  |    Whether a kit can be claimed.   | `true / false` |
|   `%kitharbor_kit_claimed_<name>%`   |    Times a player claimed a kit.   |       `5`      |
| `%kitharbor_kit_lastclaimed_<name>%` |    When a kit was last claimed.    |   `2d 4h ago`  |
|     `%kitharbor_kits_available%`     | Kits currently available to claim. |       `3`      |
|       `%kitharbor_kits_total%`       |  Total kits the player can access. |       `8`      |
|     `%kitharbor_starter_claimed%`    |  Whether the starter kit is taken. | `true / false` |

**Leaderboards**

<table><thead><tr><th width="303" align="center">Placeholder</th><th align="center">Returns</th><th align="center">Example</th></tr></thead><tbody><tr><td align="center"><code>%kitharbor_lb_&#x3C;type>_&#x3C;pos>_name%</code></td><td align="center">A player's name at that position.</td><td align="center"><code>Serenq</code></td></tr><tr><td align="center"><code>%kitharbor_lb_&#x3C;type>_&#x3C;pos>_value%</code></td><td align="center">The value at that position.</td><td align="center"><code>42</code></td></tr><tr><td align="center"><code>%kitharbor_rank_&#x3C;type>%</code></td><td align="center">A player's rank for that type.</td><td align="center"><code>1</code></td></tr></tbody></table>

`<pos>` represents the leaderboard position, from 1 to 10. `<type>` represents the leaderboard type (`mostclaimed` or `lastclaimed`). Example:

* `%kitharbor_lb_mostclaimed_1_name%`
* `%kitharbor_lb_mostclaimed_1_value%`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blixaozric.online/kit-harbor/placeholders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
